using System;

namespace SmallInjectorDemo
{
    /// <inheritdoc />
    /// <summary>
    /// Implementation of <see cref="T:SmallInjectorDemo.IServiceOne" />.
    /// </summary>
    public class ServiceOne : IServiceOne
    {
        private readonly IClock _clock;
        private readonly int _id;

        /// <summary>
        /// Creates a new instance of <see cref="ServiceOne"/>.
        /// </summary>
        public ServiceOne(IClock clock)
        {
            _clock = clock;
            _id = Helper.NewRandomInteger(10, 99);
            Console.WriteLine(Helper.WriteMethodString(clock, _id));
        }

        /// <inheritdoc />
        public override string ToString() => Helper.WriteMethodString(_clock, _id);
    }

    /// <summary>
    /// Interface for service one.
    /// </summary>
    public interface IServiceOne
    {

    }
}