using System;

namespace SmallInjectorDemo
{
    /// <inheritdoc />
    /// <summary>
    /// Implementation of <see cref="T:SmallInjectorDemo.IServiceTwo" />.
    /// </summary>
    public class ServiceTwo : IServiceTwo
    {
        private readonly IClock _clock;
        private readonly int _id;

        /// <summary>
        /// Creates a new instance of <see cref="ServiceTwo"/>.
        /// </summary>
        public ServiceTwo(IClock clock)
        {
            _clock = clock;
            _id = Helper.NewRandomInteger(10, 99);
            Console.WriteLine(Helper.WriteMethodString(clock, _id));
        }

        /// <inheritdoc />
        public override string ToString() => Helper.WriteMethodString(_clock, _id);
    }

    /// <summary>
    /// Interface for service two.
    /// </summary>
    public interface IServiceTwo
    {

    }
}